﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Documents.Report;
using Infragistics.Documents.Report.Section;
using Infragistics.Documents.Report.Text;
using System.IO;
using System.Diagnostics;

namespace WindowsFormsApplication29
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        string path;
        string pdfFileName;
        string reportFilename;

        private void Form1_Load(object sender, EventArgs e)
        {
            path = Path.GetDirectoryName(Application.ExecutablePath);
            pdfFileName = Path.Combine(path, "x.pdf");
            reportFilename = Path.Combine(path, "x.xml");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Report report = new Report();
            ISection section = report.AddSection();
            IText text = section.AddText();
            text.AddContent("This is secton 1");

            report.Publish(pdfFileName, FileFormat.PDF);
            Process.Start(pdfFileName);

            report.Save(reportFilename);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Report report = new Report();
            report.Load(reportFilename);

            ISection section = report.AddSection();
            IText text = section.AddText();
            text.AddContent("This is secton 2");

            report.Publish(pdfFileName, FileFormat.PDF);
            Process.Start(pdfFileName);
        }
    }
}
